/// <reference types="react" />
import { currencyFormatterFactory, decimalFormatterFactory } from "../../utils/formatters";
export declare function useCurrencyInput(amount: number | string | undefined, locale: string, currency: string, formatterFactory: typeof currencyFormatterFactory | typeof decimalFormatterFactory, onChange?: (formattedCurrency: string) => void): {
    inputRef: import("react").RefObject<HTMLInputElement | null>;
    moneyFormat: string;
    lastPosition: import("react").RefObject<number>;
};
